Skip to main content

Profitable Days

profitable-days

Chart: Profitable Days

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1colorstringColor ('#f00' if above current price / '#0f0' if below)
2closing_pricestringClosing price

Example Request

https://charts.bitbo.io/api/v1/profitable-days/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/profitable-days/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/profitable-days/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"#ff0000",
"12.34"
],
[
"2025-05-08",
"#ff0000",
"23.45"
],
[
"2025-05-09",
"#ff0000",
"34.56"
]
]
}